using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;

public partial class Admin_LunTan_BanKuai_ShanChu : System.Web.UI.Page
{
    private 访问 访问;
    protected new int ID;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("删除版块", "网站后台", "删除版块", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();
        访问.验证权限("30");

        String[] IDS = Request.QueryString["ID"].Split(new Char[] { ',' }, StringSplitOptions.RemoveEmptyEntries);
        SqlCommand 语句 = new SqlCommand("DELETE FROM [" + 程序.数据表前缀 + "社区_论坛_版块] WHERE [ID]=@ID", 访问.连接);
        语句.Parameters.Add("@ID", SqlDbType.Int).Value = 0;
        for (int i = 0; i < IDS.Length; i++)
        {
            语句.Parameters["@ID"].Value = Convert.ToInt32(IDS[i]);
            语句.ExecuteNonQuery();
            删除版块(Convert.ToInt32(IDS[i]));
        }

        访问统计_管理记录 记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        记录.记录("删除版块", 访问.用户["昵称"].ToString());

        更新缓存数据 更新缓存数据 = new 更新缓存数据(this.Context, 访问.连接);
        更新缓存数据.论坛版块_更新();

        Response.Redirect(Request.QueryString["rurl"]);
    }

    private void 删除版块(int ID)
    {
        DataSet 数据 = new DataSet();
        SqlCommand 语句 = new SqlCommand("SELECT [ID],[附件内容] FROM [" + 程序.数据表前缀 + "社区_论坛_贴子] WHERE [所属版块]=" + ID, 访问.连接);
        SqlDataAdapter 填充 = new SqlDataAdapter(语句);
        填充.Fill(数据, "贴子");

        for (int i = 0; i < 数据.Tables[0].Rows.Count; i++)
        {
            DataRow 行 = 数据.Tables[0].Rows[i];
            File.Delete(Server.MapPath(程序.安装位置 + "Data/DT_TieZhi/" + (Convert.ToInt32(行["ID"]) /500) + "/" + 行["ID"] + ".txt"));
            String[] 附件数组 = Convert.ToString(行["附件内容"]).Split(new char[] { ',' }, StringSplitOptions.RemoveEmptyEntries);
            for (int i1 = 0; i1 < 附件数组.Length; i1++)
                if (File.Exists(Server.MapPath(附件数组[i1])))
                    File.Delete(Server.MapPath(附件数组[i1]));
            语句 = new SqlCommand("DELETE FROM [" + 程序.数据表前缀 + "社区_论坛_贴子] WHERE [ID]=" + 行["ID"], 访问.连接);
            语句.ExecuteNonQuery();
            语句 = new SqlCommand("DELETE FROM [" + 程序.数据表前缀 + "社区_论坛_回贴] WHERE [贴子ID]=" + 行["ID"], 访问.连接);
            语句.ExecuteNonQuery();
        }

        语句 = new SqlCommand("DELETE FROM [" + 程序.数据表前缀 + "社区_论坛_黑名单] WHERE [版块ID]=" + ID, 访问.连接);
        语句.ExecuteNonQuery();
        语句 = new SqlCommand("DELETE FROM [" + 程序.数据表前缀 + "社区_论坛_版主] WHERE [所属版块]=" + ID, 访问.连接);
        语句.ExecuteNonQuery();

        DataSet 论坛数据 = (DataSet)Application["UUN_UUN3G_LunTanBanKuai"];
        for (int i = 0; i < 论坛数据.Tables[0].Rows.Count; i++)
        {
            DataRow 行 = 论坛数据.Tables[0].Rows[i];
            if (Convert.ToInt32(行["所属版块"]) == ID)
                删除版块(Convert.ToInt32(行["ID"]));
        }
    }
}
